CommetCommet
GitHubDiscordStatus
Add quota POSTList quota allowances GETGet quota allowance GETRemove quota POSTSet quota PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Set quota

Set a customer's quota allowance for a feature to an exact value.

PUT
/usage/quota

Set a customer's quota allowance for a feature to an exact value.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/usage/quota" \  -H "Content-Type: application/json" \  -d '{    "featureCode": "string",    "count": 0,    "customerId": "string"  }'
{  "id": "quota_1a2b3c4d",  "customerId": "cus_1a2b3c4d",  "featureCode": "projects",  "previousBalance": 2,  "newBalance": 3,  "ts": "2026-09-07T12:00:00.000Z",  "createdAt": "2026-09-07T12:00:00.000Z",  "object": "usage_quota_event",  "livemode": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "conflict_error",    "code": "idempotency_in_progress",    "message": "A request with this idempotency key is still being processed.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/idempotency_in_progress.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}
{  "error": {    "type": "internal_error",    "code": "idempotency_unavailable",    "message": "Idempotency storage is temporarily unavailable. Retry with the same idempotency key.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/idempotency_unavailable.md"  }}

Remove quota POST

Remove from a customer's quota allowance for a feature. Defaults to 1 if count is omitted. Returns 400 insufficient_balance if the balance would go negative.

Add seats POST

Add seats to a customer's subscription. Prorates charges for the current billing period.

featureCode*string
Match^[a-z0-9_]+$
Length1 <= length <= 50
count*integer
Range0 <= value <= 9007199254740991
customerId*string
Length1 <= length <= 200